org.apache.tinkerpop.gremlin.structure.io.gryo

## Class GryoReader.Builder

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.gryo.GryoReader.Builder

- All Implemented Interfaces:
    GraphReader.ReaderBuilder<GryoReader>
  Enclosing class:
    GryoReader

      public static final class GryoReader.Builder
      extends Object
      implements GraphReader.ReaderBuilder<GryoReader>

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `GryoReader.Builder` | `batchSize(long batchSize)` Number of mutations to perform before a commit is executed when using `GryoReader.readGraph(InputStream, Graph)`.
    `GryoReader` | `create()` Creates the `GraphReader` implementation given options provided to the `GraphReader.ReaderBuilder` implementation.
    `GryoReader.Builder` | `mapper(Mapper<org.apache.tinkerpop.shaded.kryo.Kryo> gryoMapper)` Supply a mapper `GryoMapper` instance to use as the serializer for the `KryoWriter`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### batchSize

          public GryoReader.Builder batchSize(long batchSize)

      Number of mutations to perform before a commit is executed when using `GryoReader.readGraph(InputStream, Graph)`.

    - #### mapper

          public GryoReader.Builder mapper(Mapper<org.apache.tinkerpop.shaded.kryo.Kryo> gryoMapper)

      Supply a mapper `GryoMapper` instance to use as the serializer for the `KryoWriter`.

    - #### create

          public GryoReader create()

      Description copied from interface: `GraphReader.ReaderBuilder`
      Creates the `GraphReader` implementation given options provided to the `GraphReader.ReaderBuilder` implementation.
      Specified by:
        `create` in interface `GraphReader.ReaderBuilder<GryoReader>`

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.